return {
  name = 'CMake Configure for nvim',
  builder = function()
    local cwd = vim.fn.getcwd()
    return {
      cmd = { 'cmake' },
      args = { '-B', 'build_nvim',
        '-S', cwd,
        '-G', 'Ninja' },
      cwd = build_nvim,
    }
  end,
  condition = {
    callback = function(opts)
      if vim.fn.executable("cmake") == 0 then
        return false, 'Command "cmake" not found'
      end
      if vim.fn.findfile("CMakeLists.txt", opts.dir .. ";") == "" then
        return false, "No CMakeLists.txt found"
      end
      return true
    end,
  },
}
