return {
  'aaronhallaert/advanced-git-search.nvim',
  config = function()
    require('telescope').load_extension('advanced_git_search')
    vim.api.nvim_create_user_command(
      'DiffCommitLine',
      'lua require("telescope").extensions.advanced_git_search.diff_commit_line()',
      { range = true }
    )
  end,
  dependencies = {
    'nvim-telescope/telescope.nvim',
    -- to show diff splits and open commits in browser
    'tpope/vim-fugitive',
  },
  keys = {
    {
      '<leader>hb',
      function()
        require('telescope').extensions.advanced_git_search.diff_branch_file()
      end,
      desc = 'Diff file against branch'
    },
    {
      '<leader>hl',
      ':DiffCommitLine<cr>gv',
      desc = 'Diff current line againt previous commits',
      mode = { 'x', 'n' },
      noremap = true
    },
    {
      '<leader>hf',
      function()
        require('telescope').extensions.advanced_git_search.diff_commit_file()
      end,
      desc = 'Diff current file against previous commits'
    },
    {
      '<leader>ha',
      function()
        require('telescope').extensions.advanced_git_search.search_log_content()
      end,
      desc = 'Search git log'
    },
    {
      '<leader>hs',
      function()
        require('telescope').extensions.advanced_git_search.search_log_content_file()
      end,
      desc = 'Search git log that changed current file'
    },
    {
      '<leader>hr',
      function()
        require('telescope').extensions.advanced_git_search.checkout_reflog()
      end,
      desc = 'Search all reflog entries'
    },
    {
      '<leader>hh',
      function()
        require('telescope').extensions.advanced_git_search.show_custom_functions()
      end,
      desc = 'Shwo all git telecope functions'
    }
  }
}
