return {
  'Civitasv/cmake-tools.nvim',
  opts = {
    cmake_command = 'cmake',
    cmake_generate_options = { '-D', 'CMAKE_EXPORT_COMPILE_COMMANDS=1', '-G', 'Ninja' },
    cmake_show_console = 'always',
    cmake_build_directory = 'build_nvim',
    cmake_dap_configuration = { name = 'cpp', type = 'codelldb', request = 'launch' }, -- dap configuration, optional
  },
  cmd = {
    'CMakeGenerate',
    'CMakeBuild',
    'CMakeRun',
    'CMakeDebug',
    'CMakeSelectBuildType',
    'CMakeSelectBuildTarget',
    'CMakeSelectLaunchTarget',
    'CMakeSelectKit',
    'CMakeSelectConfigurePreset',
    'CMakeSelectBuildPreset',
    'CMakeSelectLaunchTarget',
    'CMakeOpen',
    'CMakeClose',
    'CMakeInstall',
    'CMakeClean',
    'CMakeStop',
  },
  keys = {
    {
      '<S-F6>',
      function()
        require('cmake-tools').debug({})
      end,
      desc = 'Run and debug target from cmake'
    }
  }
}
