return {
  'nvim-lualine/lualine.nvim',
  dependencies = { 'nvim-tree/nvim-web-devicons' },
  config = function()
    require('lualine').setup {
      options = {
        theme = 'material',
        disabled_filetypes = {
          statusline = {},
          winbar = { 'dap-repl', 'dapui_console' },
        },
      },
      globalstatus = true,
      extensions = { 'aerial' },
      sections = {
        lualine_b = {
          'branch',
          'diff',
          {
            'diagnostics',
            sources = { 'nvim_diagnostic' }
          }
        },
        lualine_c = {
          'hostname',
          'getcwd',
          { 'filename', path = 1, file_status = true }
        },
        lualine_y = {
          'searchcount',
          'progress'
        },
      },
      inactive_sections = {
        lualine_c = {
          'getcwd',
          {
            'filename',
            path = 1,
            file_status = true
          }
        }
      },
      winbar = {
        lualine_a = {
          {
            'filename',
            path = 0,
            file_status = true,
            separator = { left = '', right = '' },
          }
        },
        lualine_b = {
          {
            'filesize',
          },
        },
        lualine_c = {
        },
        lualine_x = {},
        lualine_y = {},
        lualine_z = {
        }
      },
      inactive_winbar = {
        lualine_a = {
          {
            'filename',
            path = 0,
            file_status = true,
            separator = { left = '', right = '' },
          }
        },
        lualine_b = {
          {
            'filesize',
          },
        },
        lualine_c = {},
        lualine_x = {},
        lualine_y = {},
        lualine_z = {}
      },
      tabline = {
        lualine_a = {},
        lualine_b = {},
        lualine_c = {
          {
            'tabs',
            mode = 2,
          }
        },
        lualine_x = {},
        lualine_y = {},
        lualine_z = {}
      },
    }
  end,
}
