return {
  'loctvl842/monokai-pro.nvim',
  config = function()
    require('monokai-pro').setup({
      -- filter = 'spectrum'
      override = function(c)
        return {
          ['@lsp.type.class'] = { link = 'Structure' },
          ['@lsp.type.decorator'] = { link = 'Function' },
          ['@lsp.type.enum'] = { link = 'Structure' },
          ['@lsp.type.enumNumber'] = { link = 'Constant' },
          ['@lsp.type.function'] = { link = 'Function' },
          ['@lsp.type.interface'] = { link = 'Structure' },
          ['@lsp.type.macro'] = { link = 'Macro' },
          -- ['@lsp.type.method'] = { link = 'Function' },
          ['@lsp.type.namespace'] = { link = 'Identifier' },
          ['@lsp.type.parameter'] = { link = '@lsp.typemod.parameter.declaration' },
          ['@lsp.type.property'] = { link = 'Identifier' },
          ['@lsp.type.struct'] = { link = 'Structure' },
          ['@lsp.type.type'] = { link = 'Type' },
          ['@lsp.type.typeParameter'] = { link = 'TypeDef' },
          ['@lsp.type.variable'] = { link = 'Identifier' },

          -- mod
          -- ["@lsp.mod.declaration"] = { fg = c.base.cyan },
          -- ["@lsp.mod.definition"] = { fg = c.base.cyan },
          -- ["@lsp.mod.readonly"] = { fg = c.base.magenta },
          -- ["@lsp.mod.static"] = {},
          ['@lsp.mod.deprecated'] = { strikethrough = true },
          -- ["@lsp.mod.abstract"] = {},
          -- ["@lsp.mod.async"] = {},
          -- ["@lsp.mod.modification"] = {},
          -- ["@lsp.mod.documentation"] = {},
          -- ["@lsp.mod.defaultLibrary"] = {},

          ['@lsp.typemod.class.defaultLibrary'] = { fg = c.base.white },
          -- ["@lsp.typemod.decorator"] = {},
          -- ["@lsp.typemod.enum"] = {},
          -- ["@lsp.typemod.enumNumber"] = {},
          ['@lsp.typemod.function.declaration'] = { fg = c.base.green },
          ['@lsp.typemod.function.defaultLibrary'] = { fg = c.base.blue },
          -- ["@lsp.typemod.interface"] = {},
          -- ["@lsp.typemod.macro"] = {},
          -- ["@lsp.typemod.method"] = {},
          ["@lsp.typemod.namespace"] = { fg = c.base.red },
          -- ['@lsp.typemod.parameter.declaration'] = { fg = c.base.blue, italic = styles.parameter.italic },
          ["@lsp.typemod.property"] = { fg = '#9699f2' },
          -- ["@lsp.typemod.struct"] = {},
          -- ["@lsp.typemod.type"] = {},
          -- ["@lsp.typemod.typeParameter"] = {},
          ['@lsp.typemod.variable.readonly'] = { fg = c.base.magenta },

          -- ['@lsp.type.parameter'] = { fg = '#797df2' },
          -- ['@lsp.type.function'] = { fg = '#797df2' },
          -- ['@lsp.type.method'] = { fg = '#797df2' },
          ['@lsp.mod.readonly'] = { bold = true },
        }
      end,
    })
    vim.cmd('colorscheme monokai-pro')
  end,
  enabled = false
}
