return {
  'danymat/neogen',
  dependencies = 'nvim-treesitter/nvim-treesitter',
  opts = {
    enabled = true,
    languages = {
      cpp = {
        template = {
          annotation_convention = 'custom',
          custom = {
            { nil, '/// file', { no_results = true, type = { 'file' } } },
            { nil, '/// $1', { no_results = true, type = { 'func', 'file' } } },
            { nil, '', { no_results = true, type = { 'file' } } },

            { nil, '/// $1', { type = { 'func' } } },
            { 'tparam', '/// \\tparam %s $1' },
            { 'parameters', '/// \\param %s $1' },
            { 'return_statement', '/// \\return $1' },
          },
        },
      },
    },
  },
  keys = {
    {
      '<leader>n',
      function()
        require('neogen').generate({})
      end,
      desc = 'Add comment',
    }
  },
  cmd = 'Neogen'
}
